<!-- 会员中心-会员信息-解约 -->
<template>
    <app-drawer title="解约" v-model:show="show" :loading="loading" :refresh="refresh">
        <div style="font-size:16px;text-align:center">是否解约银行？</div>
        <template #footer>
            <el-button @click="onCancel(false)" plain>取消</el-button>
            <el-button type="primary" @click="onSubmit">确认</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { useBankCancelSign } from '@/business/bank'
import AppDrawer from '@pc/components/base/drawer/index.vue'

const props = defineProps({
    bankInfo: {
        type: Object as PropType<Ermcp.BankAccountSignRsp>,
        required: true
    },
})

const { loading, formSubmit } = useBankCancelSign(props.bankInfo)
const show = shallowRef(true)
const refresh = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    formSubmit().then(() => {
        ElMessage.success('提交成功')
        onCancel(true)
    }).catch((err) => {
        ElMessage.error('提交失败：' + err)
    })
}
</script>